Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class OtherInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmc.OtherInfo

All Implemented Interfaces:
  ASN1Value

public class OtherInfo
extends java.lang.Object
implements ASN1Value

CMCStatusInfo OtherInfo:

       OtherInfo ::= CHOICE {
           failInfo INTEGER,
           pendInfo PendInfo
       }

Nested Class Summary
`static class` | `OtherInfo.Template` A Template for decoding a OtherInfo.
`static class` | `OtherInfo.Type` The type of OtherInfo.

Field Summary
`static int` | `BAD_ALG`
`static int` | `BAD_CERT_ID`
`static int` | `BAD_IDENTITY`
`static int` | `BAD_MESSAGE_CHECK`
`static int` | `BAD_REQUEST`
`static int` | `BAD_TIME`
`static OtherInfo.Type` | `FAIL`
`static java.lang.String[]` | `FAIL_INFO`
`private INTEGER` | `failInfo`
`static int` | `INTERNAL_CA_ERROR`
`static int` | `MUST_ARCHIVE_KEYS`
`static int` | `NO_KEY_REUSE`
`static OtherInfo.Type` | `PEND`
`private PendInfo` | `pendInfo`
`static int` | `POP_FAILED`
`static int` | `POP_REQUIRED`
`private static OtherInfo.Template` | `templateInstance`
`static int` | `TRY_LATER`
`private OtherInfo.Type` | `type`
`static int` | `UNSUPORTED_EXT`

Constructor Summary
`OtherInfo()`
`OtherInfo(OtherInfo.Type type, INTEGER failInfo, PendInfo pendInfo)` Constructs a OtherInfo from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`INTEGER` | `getFailInfo()` If type == FAIL, returns the failInfo field.
`PendInfo` | `getPendInfo()` If type == PEND, returns the pendInfo field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static OtherInfo.Template` | `getTemplate()`
`OtherInfo.Type` | `getType()` Returns the type of OtherInfo: `FAIL` `PEND`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAD_ALG

    public static final int BAD_ALG

See Also:
  Constant Field Values

### BAD_MESSAGE_CHECK

    public static final int BAD_MESSAGE_CHECK

See Also:
  Constant Field Values

### BAD_REQUEST

    public static final int BAD_REQUEST

See Also:
  Constant Field Values

### BAD_TIME

    public static final int BAD_TIME

See Also:
  Constant Field Values

### BAD_CERT_ID

    public static final int BAD_CERT_ID

See Also:
  Constant Field Values

### UNSUPORTED_EXT

    public static final int UNSUPORTED_EXT

See Also:
  Constant Field Values

### MUST_ARCHIVE_KEYS

    public static final int MUST_ARCHIVE_KEYS

See Also:
  Constant Field Values

### BAD_IDENTITY

    public static final int BAD_IDENTITY

See Also:
  Constant Field Values

### POP_REQUIRED

    public static final int POP_REQUIRED

See Also:
  Constant Field Values

### POP_FAILED

    public static final int POP_FAILED

See Also:
  Constant Field Values

### NO_KEY_REUSE

    public static final int NO_KEY_REUSE

See Also:
  Constant Field Values

### INTERNAL_CA_ERROR

    public static final int INTERNAL_CA_ERROR

See Also:
  Constant Field Values

### TRY_LATER

    public static final int TRY_LATER

See Also:
  Constant Field Values

### FAIL_INFO

    public static final java.lang.String[] FAIL_INFO

### FAIL

    public static OtherInfo.Type FAIL

### PEND

    public static OtherInfo.Type PEND

### type

    private OtherInfo.Type type

### failInfo

    private INTEGER failInfo

### pendInfo

    private PendInfo pendInfo

### templateInstance

    private static final OtherInfo.Template templateInstance

Constructor Detail

### OtherInfo

    public OtherInfo()

### OtherInfo

    public OtherInfo(OtherInfo.Type type,
                     INTEGER failInfo,
                     PendInfo pendInfo)

  Constructs a OtherInfo from its components.

Parameters:
  `type` - The type of the otherInfo.
  `failInfo` - the CMCFailInfo code.
  `pendInfo` - the pending information.

Method Detail

### getType

    public OtherInfo.Type getType()

  Returns the type of OtherInfo:
  - `FAIL`
  - `PEND`

### getFailInfo

    public INTEGER getFailInfo()

  If type == FAIL, returns the failInfo field. Otherwise, returns null.

### getPendInfo

    public PendInfo getPendInfo()

  If type == PEND, returns the pendInfo field. Otherwise, returns null.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static OtherInfo.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD